Subject: Re: x86 disklabel and the raw partition ... <[email-masked]>

From: Ken Hornstein <[email-masked]>

>so for floppy disk, `d' is empty.  The consequence is that instead of:
>
>	/sbin/disklabel -r -w fd0 5in
>	/sbin/disklabel -B fd0
>
>working (IO error on /dev/fd0d) you need to specify:
>
>	/sbin/disklabel -r -w /dev/rfd0c 5in
>	/sbin/disklabel -B /dev/rfd0c

The reason this behaves differently is because the minor device bits on
floppy drives have a different meaning than on HD's.  On floppies they
refer to drive density, where fd0a is the "default" density (the one discovered
during a probe), fd0b is 1.44Mb, fd0c is 1.2Mb, etc etc ....

--Ken